<?php if(!defined('PLX_ROOT')) exit; 
	/**
		* Plugin 			plxNotifyMe
		*
		* @CMS required		PluXml 
		* @widget			form
		* @version			1.0
		* @date				05/02/2025
		* @author 			gcyrillus
		░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░
		░       ░░  ░░░░░░░  ░░░░  ░  ░░░░  ░░      ░░       ░░░      ░░  ░░░░░░░        ░░      ░░░░░   ░░░  ░        ░        ░
		▒  ▒▒▒▒  ▒  ▒▒▒▒▒▒▒  ▒▒▒▒  ▒▒  ▒▒  ▒▒  ▒▒▒▒  ▒  ▒▒▒▒  ▒  ▒▒▒▒  ▒  ▒▒▒▒▒▒▒▒▒▒  ▒▒▒▒  ▒▒▒▒▒▒▒▒▒▒    ▒▒  ▒  ▒▒▒▒▒▒▒▒▒▒  ▒▒▒▒
		▓       ▓▓  ▓▓▓▓▓▓▓  ▓▓▓▓  ▓▓▓    ▓▓▓  ▓▓▓▓  ▓       ▓▓  ▓▓▓▓  ▓  ▓▓▓▓▓▓▓▓▓▓  ▓▓▓▓▓      ▓▓▓▓▓  ▓  ▓  ▓      ▓▓▓▓▓▓  ▓▓▓▓
		█  ███████  ███████  ████  ██  ██  ██  ████  █  ███████  ████  █  ██████████  ██████████  ████  ██    █  ██████████  ████
		█  ███████        ██      ██  ████  ██      ██  ████████      ██        █        ██      ██  █  ███   █        ████  ████
		█████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████
	**/		
	
	# récupération d'une instance de plxMotor
	$plxMotor = plxMotor::getInstance();
	# accés au plugin
	$plxPlugin = $plxMotor->plxPlugins->getInstance('plxNotifyMe');
	
	# variables
	$method = $plxPlugin->getParam('method') == 'get' ? $_GET : $_POST;
	$laius = '<blockquote class="notifyLaius">'.sprintf($plxPlugin->getLang('L_SUBSCRIPTION_LAIUS'), '<b class="siteName">'.$plxMotor->aConf['title'].'</b>', '<cite>'.$plxMotor->aUsers['001']['name'].'</cite>').'</blockquote>';
	
	if(!empty($method['notifyMe']) ) {
		$subscriber = trim(strip_tags( $method['notifyMe']));
		$mailChechk = $plxPlugin->checkEmail($subscriber);
		if(!$mailChechk) {
			echo '<p class="alert center red">'.sprintf($plxPlugin->getLang('L_BAD_MAIL'), '<b class="d-block">'.$subscriber.'</b>').'</p>';
			plxNotifyMe::form();
			echo $laius;
		}
		else {
			//$plxPlugin->getNewSubscription($subscriber);
			$laius = '<blockquote class="notifyLaius">'.$plxPlugin->saveSubscription().'</blockquote>';
		}
	}
	elseif(isset($_GET['validNewsLetter'])) {
		$laius = '<blockquote class="notifyLaius" cite="'.$plxMotor->aUsers['001']['name'].'">'.$plxPlugin->valid().'</blockquote>';
	}
	elseif(isset($_GET['stopNewsLetter'])) {
		$laius = '<blockquote class="notifyLaius">'.$plxPlugin->revoque().PHP_EOL.'<cite>'.$plxMotor->aUsers['001']['name'].'</cite></blockquote>';
	}
	else {
		plxNotifyMe::form();
	}
		echo $laius;
	

