<?php
$plxPlugin = $plxAdmin->plxPlugins->getInstance('plxNotifyMe');
	/**
		* Plugin 			plxNotifyMe
		*
		* @CMS required		PluXml 
		* @page				fr-help.php
		* @version			1.0
		* @date				05/02/2025
		* @author 			gcyrillus
		░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░
		░       ░░  ░░░░░░░  ░░░░  ░  ░░░░  ░░      ░░       ░░░      ░░  ░░░░░░░        ░░      ░░░░░   ░░░  ░        ░        ░
		▒  ▒▒▒▒  ▒  ▒▒▒▒▒▒▒  ▒▒▒▒  ▒▒  ▒▒  ▒▒  ▒▒▒▒  ▒  ▒▒▒▒  ▒  ▒▒▒▒  ▒  ▒▒▒▒▒▒▒▒▒▒  ▒▒▒▒  ▒▒▒▒▒▒▒▒▒▒    ▒▒  ▒  ▒▒▒▒▒▒▒▒▒▒  ▒▒▒▒
		▓       ▓▓  ▓▓▓▓▓▓▓  ▓▓▓▓  ▓▓▓    ▓▓▓  ▓▓▓▓  ▓       ▓▓  ▓▓▓▓  ▓  ▓▓▓▓▓▓▓▓▓▓  ▓▓▓▓▓      ▓▓▓▓▓  ▓  ▓  ▓      ▓▓▓▓▓▓  ▓▓▓▓
		█  ███████  ███████  ████  ██  ██  ██  ████  █  ███████  ████  █  ██████████  ██████████  ████  ██    █  ██████████  ████
		█  ███████        ██      ██  ████  ██      ██  ████████      ██        █        ██      ██  █  ███   █        ████  ████
		█████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████
	**/	
?><div>
	<h1><?= L_HELP ?></h1>
	<h2>Hook du thème et syntaxe:</h2>
	<p><?php $plxPlugin->lang('L_HELP') ?></p>
	<pre><code><?php echo (htmlspecialchars("eval(\$plxShow->callHook('NotifyMeForm'));"));?></code></pre>
	<p><?php $plxPlugin->lang('L_HELP_STATIC') ?> :</p>
	<pre><code><?php echo (htmlspecialchars("eval(\$this->callHook('NotifyMeForm'));"));?></code></pre>
	<p><?php $plxPlugin->lang('L_HELP_SIDE') ?> :</p>
	<pre><code><?php echo (htmlspecialchars("eval(\$plxShow->callHook('NotifyMeForm','aside'));"));?></code></pre>
	<h2>Page de configuration :</h2>
	<p>Il y a 2 onglets pour configurer le fonctionement de base (lots et delais entre envois) du plugin et l'autre pour l'affichage d'une page statique.</p>
	<p>Il y a au minimum un troisième onglet pour la langue par défaut. Chaque autre langue configurée aura son onglet.</p>
	<p><b>page d'administration</b></p>
	<p>Il y a deux onglets, l'un affichant des statisques basiques et l'autre affichant la liste des abonnés. Il est possible d'effacer ou d'ajouter un abonnement </p>
	<p>&Agrave; la <b>premiere publication</b> d'un article, tous les abonnements validés recevront en notification une copie de l'article dans leur boite mail.</p>

	<h2>Assurez-vous que vos mails sont bien envoyés</h2>
	<p>Le plugin utilise la configuration de PluXml pour envoyé les mails : <a href="parametres_avances.php#id_custom_admincss_file">Méthode d'envoi d'e-mail</a> , 
	assurez vous que celle ci est fonctionnelle.Si la fonction mail() de PHP sur votre hébergement n'est pas fonctionnelle, bridée ou aléatoire,  
	Choisir <b>SMTP</b> <sup>(via PHPMailer)</sup> en prenant soin de bien configurer cette option.</p>
	<style>
		#parametres_help section div:has(h1) {max-width:800px;margin:auto;padding:1em;}
		section div:has(h1) h2{text-indent:1rem;color:#FB742A;border-bottom:solid 2px;width:max-content;padding-inline-end:1.5em}
		section div:has(h1) p {text-indent:2rem;margin: 0;padding:0.2em;border-right:solid 2px;box-shadow: 0 -1px #00000007;background:linear-gradient(270deg,#1592,#fff0,#fff0)}
		h1,p::first-letter,code{color:#419acc;font-weight:bolder;}
		code {display:block;margin:auto;width:max-content;padding:.5em;border-radius:5px;border:solid 1px gray;}
	</style>	
	<p style="all:revert;text-align:center;margin:3em auto 1em;width:max-content;">Vous trouverez d'autres plugins sur <a href="https://pluxopolis.net/plugins.html">PluXopolis</a> <br>et un espace de discussions et d'entraide sur le 
	<a href="https://forum.pluxml.org">Forum Officiel de PluXml</a>.</p>
</div>